# bingo-cli - Play bingo in your terminal (or browser)

bingo-cli is a TUI to play Bingo, built using [Textual](https://textual.textualize.io/).  

![bingo screenshot](img/bingo.png)

## Features
- Mouse and keyboard controls
- Reproducible board states (by supplying UNIX timestamps)
- Playable directly in your terminal, remotely via SSH or web browser

## Installation

### Install in python3 venv

```
python3 -m venv venv
source venv/bin/activate
pip install -r requirements.txt

# test to see if it works:
python3 bingo.py
```

### Serve as a webpage

- Install requirements as above.
- Download the latest build of `ttyd`: https://github.com/tsl0922/ttyd/releases
```
chmod +x ttyd
# if not already in venv:
source venv/bin/activate
./ttyd -W ./bingo.py
```
- Bingo is now served on `http://localhost:7681`.
- Check `ttyd --help` for more options and consider building a reverse proxy and `systemd` service.

### Serve via SSH

TBA
